function init()
	gun.name = "Sniper Beam"
	gun.fireDelay = 3750
	gun.shotrange = 1250
	gun.shotdamage = 100
	gun.shotknockback = 200000
	
	gun.burstDelay = 0
	gun.burstNum = 10
	
	gun.overheat = 1500

	--gun.initBeam()
	
	--make a little message when the gun readies
	gun.readynotify = 1
	
	return 0
end


function update()
	return 0
end


function fire()
	heatmod = 1 - (gun.burst / gun.burstNum)
	if heatmod < .1 then heatmod = .1 end
	if heatmod >= .9 then heatmod = .9 end

	gun.cycleBeam(6 + heatmod)
	
	stage.makeBeam(gun.beam, gun.owner, gun.firex, gun.firey, gun.firetarx, gun.firetary)

	--gun.GFP("made beam!")
	--playSFX(getSound("gun_pew1.wav"),owner.x,owner.y)

	return 0
end

function shot_update()

	return 0
end